<?php
/**
* Unregister Component
*
* @Copyright (C) 2004 Mike Noel
* @ All rights reserved
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.0 $
**/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

# Get the right language if it exists
  if (file_exists($mosConfig_absolute_path.'/components/com_unregister/languages/'.$mosConfig_lang.'.php')) {
    include($mosConfig_absolute_path.'/components/com_unregister/languages/'.$mosConfig_lang.'.php');
  } else {
    include($mosConfig_absolute_path.'/components/com_unregister/languages/english.php');
  }

/* This message can be changed to support any language */
$message = ""._UR_MESSAGE."";

$version = "1.0";

$userid = $my->id;

if (!$userid) {
  print(""._UR_LOGGEDIN."");
  return;
}

if ($userid == '62') {
  print(""._UR_REQUESTDENIED."<br>"._UR_SUPERADMINISTRATOR."");
  return;
}

$baseurl = "index.php?option=$option";
if (!$action) $action = "mkform";

switch ($action) {
 case "mkform":
   makeForm($database,$option,$userid);
   break;
 case "unreg":
   removeUser($mainframe,$database,$option,$userid,$pass,$passc);
   break;
 default:
   defaultError($database,$option,$action);
 }

/***********************************************************************/

function makeForm($db,$option,$userid) {

?>

  <? echo _UR_DESCRIPTION;?>

  <table>
  <form action="index.php">
  <input type="hidden" name="option" value="<?php echo $option; ?>">
  <input type="hidden" name="action" value="<?php echo 'unreg'; ?>">	
  <tr>
    <td width="50%" align="left"><? echo _UR_PASSWORD;?></td>
    <td><input type="password" name="pass"></td>
  </tr>
  <tr>
    <td width="50%" align="left"><? echo _UR_PASSWORDCONFIRM;?></td>
    <td><input type="password" name="passc"></td>
  </tr>
  <tr>
    <td colspan="2" align="center">
      <input type="submit" value="<? echo _UR_UNREGISTER;?>">
    </td>
  </tr>
  </form>
  </table>

<?php	
}

function removeUser($mainframe,$db,$option,$userid,$pass,$passc) {

  $msg = "";
  $backoption = "?option=$option";	

  if ($pass != $passc) {
   $msg = ""._UR_PASSWORDWRONG."";
  } else {

    $sql = "SELECT * FROM #__users WHERE (id = $userid)";
    $db->setQuery($sql);
    $data = null;
    $db->loadObject($data);
    $dbpass = $data->password;	
  		
    if (md5($pass) != $dbpass) {
      $msg = ""._UR_INCORRECT."";
    } else {

      $sql = "DELETE FROM #__users WHERE (id = $userid)";	
      $db->setQuery($sql);
      $db->query();

      $sql = "DELETE FROM #__core_acl_aro WHERE (value = $userid)";
      $db->setQuery($sql);
      $db->query();

      $sql = "DELETE FROM #__contact_details WHERE (user_id = $userid)";
      $db->setQuery($sql);
      $db->query();

      /* Reset content author	 */
      $sql = "SELECT * FROM #__content WHERE (created_by = $userid)";
      $db->setQuery($sql);
      $data = $db->loadObjectList();
      if (count($data) > 0) {
	  foreach ($data as $item) {
	      $cid = $item->id;
	      $sql = "UPDATE #__content SET created_by = 62 WHERE (id = $cid)";	
	      $db->setQuery($sql);
	      $db->query();
	  }
      }

      /* Reset content modified */
      $sql = "SELECT * FROM #__content WHERE (modified_by = $userid)";
      $db->setQuery($sql);
      $data = $db->loadObjectList();
      if (count($data) > 0) {
	  foreach ($data as $item) {
	      $cid = $item->id;
	      $sql = "UPDATE #__content SET modified_by = 62 WHERE (id = $cid)";	
	      $db->setQuery($sql);
	      $db->query();
	  }
      }

      /* Reset content checkedout */
      $sql = "SELECT * FROM #__content WHERE (checked_out = $userid)";
      $db->setQuery($sql);
      $data = $db->loadObjectList();
      if (count($data) > 0) {
	  foreach ($data as $item) {
	      $cid = $item->id;
	      $sql = "UPDATE #__content SET checked_out = 0 WHERE (id = $cid)";	
	      $db->setQuery($sql);
	      $db->query();
	  }
      }
  
      $msg = ""._UR_UNREGISTERED."";
      $backoption = "";	

      $mainframe->logout();	
    }
  }

  print("$msg<p>");	
  print("<a href=\"index.php$backoption\">"._UR_BACK."</a>");	
}

function defaultError($db,$option,$action) {

  print(""._UR_FATALERROR."($action)<p>");	
  print("<a href=\"index.php?option=$option\">"._UR_BACK."</a>");
}	
	
